bgoffice (4.1-7build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:09:37 +0200

bgoffice (4.1-7) unstable; urgency=medium

  [ Anoop Nadig ]
  * Stop recording current time when using gzip to make the builds
    reproducible

  [ Damyan Ivanov ]
  * bump debhelper compatibility level to 11 and drop debian/compat
  * Declare conformance with Policy 4.2.1
  * Declare that debian/rules does not require to be run as root

 -- Damyan Ivanov <dmn@debian.org>  Tue, 06 Nov 2018 19:53:53 +0000

bgoffice (4.1-6) unstable; urgency=medium

  * recode upstream changelog to UTF-8
  * update and sort d/clean

 -- Damyan Ivanov <dmn@debian.org>  Wed, 13 Jun 2018 18:48:25 +0000

bgoffice (4.1-5) unstable; urgency=medium

  * control: use ${aspell:Depends}, ${ispell:Depends} and ${wordlist:Depends}
  * convert contents of wbulgarian to UTF-8 (Closes: #901233)
  * make myspell-bg a transitional package depending on hunspell-bg
    (Closes: #898709)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 12 Jun 2018 17:22:37 +0000

bgoffice (4.1-4) unstable; urgency=medium

  * Move packaging to salsa.debian.org
  * bump debhelper compatibility level to 10
  * change section from 'text' to 'localization'
  * declare conformance with Policy 4.1.4

 -- Damyan Ivanov <dmn@debian.org>  Wed, 30 May 2018 19:14:04 +0000

bgoffice (4.1-3) unstable; urgency=low

  * do not ship empty files overwritten by dictionaries-common
    Closes: #638726: debsums reports that some aspell-bg files have changed
    Thanks to Francois Gouget for reporting.
  * add build-{arch,indep} targets
  * claim conformance with Policy 3.9.2

 -- Damyan Ivanov <dmn@debian.org>  Sun, 21 Aug 2011 21:08:56 +0300

bgoffice (4.1-2) unstable; urgency=low

  * Upload to unstable
  * control: add VCS-* headers
  * control: (build-) depend on ispell (>= 3.3.02)
  * control: do not start short description with an article

 -- Damyan Ivanov <dmn@debian.org>  Wed, 30 Mar 2011 12:47:17 +0300

bgoffice (4.1-1) experimental; urgency=low

  * New upstream release
  * call dh_installchangelogs without argument
  * drop debian/myspell-bg.post{inst,rm}
  * aspell-bg.postinst: remove code covering after broken cleaning of
    /var/lib/aspell only relevant for squeeze/lenny
  * aspell-bg, ibulgarian, wbulgarian: improve long description
  * myspell-bg: do not ship empty usr/share/myspell/infos/ooo
  * aspell-bg: move directory creation to aspell-bg.dirs
  * rules: remove commented dh_* calls
  * rules: drop redundant dh_*
  * aspell-bg: use a .links file for symlinking
  * rules: drop unused 'main_dir' variable
  * rules/clean: make use of debian/clean
  * rules/clean: rm -rf cannot fail, no need to prefix with '-'
  * rules: streamline target dependencies
  * rules: replace standalone '>file' with 'touch file'
  * drop pre-compiled bg.wl and compile it during build. See #329954

 -- Damyan Ivanov <dmn@debian.org>  Sat, 11 Sep 2010 21:22:36 +0300

bgoffice (3.0-12) unstable; urgency=low

  * convert bg_BG.{dic,aff} to UTF-8.
    Finally closes: #306895 and LP#346856 -- wrong charset in myspell-bg
    The problem with 'microsoft-cp1251' is that only OpenOffice.org understands
    it. Everything else needs 'cp1251' or 'windows-1251', neither of which is
    understood by OO.o. Luckily UTF-8 is OK for everyone.
  * Adopt the package (Closes: #433311)
  * Standards-Version: 3.9.1 (no changes necessary)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 10 Sep 2010 17:50:59 +0300

bgoffice (3.0-11) unstable; urgency=medium

  * QA upload.
  * debian/aspell-bg.postrm: Don't delete explicitly the files in
    /var/lib/aspell; harmful during upgrades or package reinstallation
    (Closes: #589851).  Handle obsolete conffile removal.
  * debian/aspell-bg.postinst: Recover from the old erroneous postrm and
    touch bg{,-en}.rws and bg.compat if the files do not exist.  Use
    dpkg-maintscript-helper to handle removal of 90aspell-bg.el.
  * debian/rules (install): Create an empty var/lib/aspell/bg-en.rws.
    Replace dh_clean -k with dh_prep.  Don't install 90ibulgarian.el and
    90aspell-bg.el.
  * debian/compat: Set to 7.
  * debian/control (Standards-Version): Claim compliance with 3.9.0; no
    changes needed.
    (Build-Depends): Bump debhelper to >= 7.  Remove dictionaries-common
    and minimal version requirement for dictionaries-common-dev.
    (Section, Priority): Remove duplicate fields.
    (Depends): Remove obsolete version constraint for aspell and
    dictionaries-common.  Add ${misc:Depends}.
    (Replaces, Conflicts, Provides): Remove obsolete relationships
    regarding mybulgarian and openoffice.org.
  * debian/90ibulgarian.el:
  * debian/90aspell-bg.el: Delete; obsolete since emacs21 is gone.
  * debian/aspell-bg.preinst:
  * debian/ibulgarian.preinst:
  * debian/ibulgarian.postinst:
  * debian/ibulgarian.postrm: New files; use dpkg-maintscript-helper to
    handle the obsolete conffile removal.
  * debian/aspell-bg.info-aspell:
  * debian/ibulgarian.info-ispell: Remove obsolete bulgarian-cvs entry.
  * debian/source/format: New file.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 25 Jul 2010 10:06:39 +0300

bgoffice (3.0-10) unstable; urgency=low

  * QA upload.
  * move dicts to /usr/share/hunspell with compat symlinks from
    /usr/share/myspell/dicts
  * stop shipping bg-BG.* and bg.* symlinks for /usr/share/hunspell 

 -- Rene Engelhard <rene@debian.org>  Wed, 03 Feb 2010 22:26:01 +0100

bgoffice (3.0-9) unstable; urgency=low

  * QA upload.
  * Correctly unregister alternatives and remove generated files
    when removing aspell-bg (Closes: #353313)
  * Setup links for bg.{dic,aff} to bg-BG.{dic,aff} (Closes: #373739)
  * debian/control: Bump standards version to 3.8.0
  * debian/control: Add Homepage field, remove Homepage from description
  * rework debian/copyright
  * Add watch file

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 08 Jun 2008 14:34:17 +0200

bgoffice (3.0-8) unstable; urgency=low

  * Orphan the package.
  * Update Standards-Version to 3.7.2.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 16 Jul 2007 11:54:26 +0300

bgoffice (3.0-7) unstable; urgency=low

  * Alternative dependency: debconf | debconf-2.0 instead of just debconf.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 27 Sep 2005 13:06:16 +0300

bgoffice (3.0-6) unstable; urgency=low

  * Include precompiled word list bg.wl in the source package in order to
    avoid runing of quiet CPU+memory intensive "aspell munch-list" command
    on the autobuilders.  This also closes: #329881, thanks to Blars
    Blarson.
  * Updated Standards-Version: 3.6.2.1.

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 24 Sep 2005 22:03:31 +0300

bgoffice (3.0-5) unstable; urgency=low

  * Repackage for the new aspell (new-style hashes).  Thanks a lot to
    Yavor Doganov and Brian Nelson and apologies for the delay.
    Closes: #319676.
  * Updated ibulgarian.info-ispell: description in Bulgarian, add
    Additionalchars and Aspell-Locales fields.
  * Invoke dh_installdebconf for aspell-bg.
  * Use installdeb-myspell rather than manually install stuff.
  * Install two Bulgarian aspell dictionaries managed by
    update-alternatives.  One that recognises only the Bulgarian words and
    second (used by default) that recognises both Bulgarian and English
    words.
  * Encode in UTF-8 the documentation in /usr/share/doc.
  * Unfortunately I have to revert the change in 3.0-4 and use again
    "microsoft-cp1251" instead of "cp1251" in bg_BG.aff.  Mozilla will
    again crash but OpenOffice is more important (IMO).  For reference:
    https://bugzilla.mozilla.org/show_bug.cgi?id=256292 and #306895.
  * Files /etc/emacs21/site-start.d/90{aspell-bg,ibulgarian}.el to
    codepage-setup cp1251.  It is still not clear to me how to support
    spelling of Bulgarian UTF-8 texts in Emacs.
  * Add entries for different Emacs versions in ibulgarian.info-ispell and
    aspell-bg.info-aspell.  Thanks to Ivan Raikov, closes: #321040.
  * Use "aspell munch-list" in order to minimise the size of the aspell
    word list (was 8.8MB uncompressed and 1.9MB compressed, now it is
    726KB uncompressed and 294K compressed).  The size of the compiled
    dictionary hash is also dramatically reduced.

 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 21 Sep 2005 22:05:04 +0300

bgoffice (3.0-4) unstable; urgency=low

  * Use "cp1251" instead of "microsoft-cp1251" in bg_BG.aff.  Thanks to
    Damyan Ivanov, closes: #306895.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue,  3 May 2005 12:53:44 +0300

bgoffice (3.0-3) unstable; urgency=low

  * Update for aspell ver 0.60.  Closes: #295013.
  * bulgarian.kbd: convert to UTF-8, remove unnecessary couples qw-wq
  * Use affix compression for aspell.  The new aspell dictionary is
    24 Meg (8.5 compressed), the old was 32 Meg (12,6 compressed).
  * Update Standards-Version: 3.6.1.
  
 -- Anton Zinoviev <zinoviev@debian.org>  Mon,  7 Feb 2005 09:47:27 +0200

bgoffice (3.0-2) unstable; urgency=low

  * Rebuild with dictionaries-common (0.20.1).  Closes: #232187, #232168.
  * Depends dictionaries-common (>0.20.1).
  * ibulgarian, wbulgarian: build-depends on dictionaries-common (>0.20.1)
    and dictionaries-common-dev (>0.20.1).
  * myspell-bg: added versioned dependency on dictionaries-common (not
    sure wether this is necessary.
  * aspell-bg: doesn't include cp1251.dat as this is included in the new
    libaspell15.  Thanks to Matthias Urlichs and Brian Nelson (closes: #233745)
  * aspell-bg: versioned dependency on libaspell15 (>= 0.50.5-1)

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 20 Feb 2004 22:45:54 +0200

bgoffice (3.0-1) unstable; urgency=low

  * Acknowledge NMUs: many thanks to you, Agustin, Brian, Rene.  This
    closes: #164971, #164972, #177926, #206126.
  * New upstream version (corrections and new words).
  * Small changes in the descriptions of the packages.
  * aspell-bg: bg renamed to bg.rws, added bg.multi, bulgarian.alias,
    bg_phon.dat and bulgarian.kbd.  Corrected cp-1251.dat and renamed to
    cp1251.dat.
  * wbulgarian: contains all words, not only the main forms.  The words
    are sorted in bg_BG locale.  (Hm, I don't know what will do the
    autobuilders with this.)
  * Updated Standards-Version: 3.6.0.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 19 Sep 2003 11:00:39 +0300

bgoffice (2.0-2.4) unstable; urgency=low

  * NMU
  * new myspell policy package (closes: #206126)

 -- Rene Engelhard <rene@debian.org>  Fri,  8 Aug 2003 04:01:01 +0200

bgoffice (2.0-2.3) unstable; urgency=low

  * Non-Maintainer Upload.
  * Build with newer aspell; updated debian/control accordingly.
    (Closes: #177926)
  * Changed aspell-bg to depend on libaspell15 instead of aspell.

 -- Brian Nelson <pyro@debian.org>  Sat,  8 Mar 2003 18:23:09 -0800

bgoffice (2.0-2.2) unstable; urgency=low
  
  * Just a rebuild to make sure at least dictionaries-common-0.8.4 
    is used, since there was a minor change in the debconf config 
    files. Anton, no need to change anything in your sources. This fix 
    will propagate the next time you build the package.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 28 Oct 2002 12:45:49 +0100

bgoffice (2.0-2.1) unstable; urgency=low
  
  * Non-Maintainer Upload
  * New policy package (closes: #164971, #164972)

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 21 Oct 2002 15:08:48 +0200

bgoffice (2.0-2) unstable; urgency=low

  * Used Build-Depends instead of Build-Depends-Indep (closes: #163601).

 -- Anton Zinoviev <zinoviev@debian.org>  Wed,  9 Oct 2002 23:07:16 +0300

bgoffice (2.0-1) unstable; urgency=low

  * Initial release.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 20 Sep 2002 18:24:01 +0300
